%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global snapshot 20130109

Name:           feed2imap
Version:        1.0
Release:        1.%{snapshot}git%{?dist}
Summary:        RSS/Atom Feed Aggregator Using an IMAP Server or Maildir for Storage

Group:          Applications/Internet
License:        GPLv2+
URL:            http://home.gna.org/feed2imap/
# git clone git://github.com/ln/feed2imap.git; tar -cjf feed2imap-$(date +%%Y%%m%%d).tar.bz2 --exclude-vcs feed2imap
Source0:        %{name}-%{snapshot}.tar.bz2
# make feed2imap compatible with rubygem versions of ruby-feedparser and rmail
Patch0:         feed2imap-rubygem-compatibility.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  ruby(abi) = 1.8
BuildRequires:  ruby
Requires:       ruby(abi) = 1.8
Requires:       ruby
Requires:       rubygem(ruby-feedparser) >= 0.7
Requires:       rubygem(rmail) >= 1.0.0

%description
feed2imap is an RSS/Atom feed aggregator. After Downloading feeds (over HTTP or
HTTPS), it uploads them to a specified folder of an IMAP mail server, or copies
them to a local maildir. The user can then access the feeds using a mail user
agent.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
ruby setup.rb config

%install
rm -rf %{buildroot}
ruby setup.rb install --prefix=%{buildroot}
rm -rf %{buildroot}%{_datadir}/doc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README COPYING data/doc/feed2imap/examples/feed2imaprc
%{_bindir}/feed2imap-opmlimport
%{_bindir}/feed2imap
%{_bindir}/feed2imap-dumpconfig
%{_bindir}/feed2imap-cleaner
%{ruby_sitelib}/feed2imap.rb
%dir %{ruby_sitelib}/feed2imap
%{ruby_sitelib}/feed2imap
%{_mandir}/man5/feed2imaprc.5*
%{_mandir}/man1/feed2imap-cleaner.1*
%{_mandir}/man1/feed2imap.1*
%{_mandir}/man1/feed2imap-dumpconfig.1*
%{_mandir}/man1/feed2imap-opmlimport.1*

%changelog
* Wed Jan 09 2013 Guido Berhoerster <guido+packaging@berhoerster.name> - 1.0-1.20130109
- Initial packaging
